Subject: Re: bug#28747: 26.0.60; Usage of "&rest body" in Edebug specs

From: Richard Stallman <[email-masked]>
Date: Tue, 01 Feb 2022 00:03:57 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > Resent-From: Lars Ingebrigtsen <[email-masked]>
  > Resent-CC: [email-masked]
  > Resent-Sender: [email-masked]
  > From: Lars Ingebrigtsen <[email-masked]>
  > Date: Sat, 29 Jan 2022 16:56:03 +0100
  > Message-ID: <[email-masked]>

  > >> Here's a little example of what an Edebug spec would look like with
  > >> &repeat in place of &rest:
  > >>
  > >> (defmacro msgmac (&rest args)
  > >>   (declare (debug ("start" [&repeat "middle"] "end")))
  > >>   `(message "%s" ',args))
  > >>
  > >> (defun use-msgmac ()
  > >>   (msgmac start end)
  > >>   (msgmac start middle end)
  > >>   (msgmac start middle middle end))
  > >>
  > >> Does anyone have thoughts on the idea of adding &repeat as a synonym
  > >> for &rest in Edebug specs, with the goal of moving &rest towards
  > >> obsolescence eventually?

  ...

  > Stefan added to the CCs; perhaps he has an opinion.

It looks like this makes usage more complex, and the change would be
incompatible.  That is two reasons not to make the change.  Does it
offer any benefit?

The message I am replying to is clearly not the start of the thread,
but I can't find the earlier ones.  I searched my inboxes back to Oct 11.
It looks like somehow I did not receive them.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)